package com.mortals.xhx.module.basics.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Basics
* date: 2021-8-19 10:03:24
*/
public class BasicsQuery extends BasicsEntity{
    private static final long serialVersionUID = 1629338604619L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 一件事标题 */
    private List<String> tnameList;

    /** 二维码 */
    private List<String> qrcodeList;

    /** 事项关联id, */
    private List<String> matterIdsList;

    /** 开始 是否自主申报 0否  1是 默认0 */
    private Integer iszzsbStart;

    /** 结束 是否自主申报 0否  1是 默认0 */
    private Integer iszzsbEnd;

    /** 增加 是否自主申报 0否  1是 默认0 */
    private Integer iszzsbIncrement;

    /** 是否自主申报 0否  1是 默认0 */
    private List <Integer> iszzsbList;

    /** 开始 排序 倒序 */
    private Integer sortStart;

    /** 结束 排序 倒序 */
    private Integer sortEnd;

    /** 增加 排序 倒序 */
    private Integer sortIncrement;

    /** 排序 倒序 */
    private List <Integer> sortList;

    /** 开始 状态 0正常  1删除 */
    private Integer validStart;

    /** 结束 状态 0正常  1删除 */
    private Integer validEnd;

    /** 增加 状态 0正常  1删除 */
    private Integer validIncrement;

    /** 状态 0正常  1删除 */
    private List <Integer> validList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BasicsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BasicsQuery> andConditionList;


    public BasicsQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 一件事标题
    * @return tnameList
    */
    public List<String> getTnameList(){
        return this.tnameList;
    }

    /**
    * 设置 一件事标题
    * @param tnameList
    */
    public void setTnameList(List<String> tnameList){
        this.tnameList = tnameList;
    }
    /**
    * 获取 二维码
    * @return qrcodeList
    */
    public List<String> getQrcodeList(){
        return this.qrcodeList;
    }

    /**
    * 设置 二维码
    * @param qrcodeList
    */
    public void setQrcodeList(List<String> qrcodeList){
        this.qrcodeList = qrcodeList;
    }
    /**
    * 获取 事项关联id,
    * @return matterIdsList
    */
    public List<String> getMatterIdsList(){
        return this.matterIdsList;
    }

    /**
    * 设置 事项关联id,
    * @param matterIdsList
    */
    public void setMatterIdsList(List<String> matterIdsList){
        this.matterIdsList = matterIdsList;
    }
    /**
    * 获取 开始 是否自主申报 0否  1是 默认0
    * @return iszzsbStart
    */
    public Integer getIszzsbStart(){
        return this.iszzsbStart;
    }

    /**
    * 设置 开始 是否自主申报 0否  1是 默认0
    * @param iszzsbStart
    */
    public void setIszzsbStart(Integer iszzsbStart){
        this.iszzsbStart = iszzsbStart;
    }

    /**
    * 获取 结束 是否自主申报 0否  1是 默认0
    * @return iszzsbEnd
    */
    public Integer getIszzsbEnd(){
        return this.iszzsbEnd;
    }

    /**
    * 设置 结束 是否自主申报 0否  1是 默认0
    * @param iszzsbEnd
    */
    public void setIszzsbEnd(Integer iszzsbEnd){
        this.iszzsbEnd = iszzsbEnd;
    }

    /**
    * 获取 增加 是否自主申报 0否  1是 默认0
    * @return iszzsbIncrement
    */
    public Integer getIszzsbIncrement(){
        return this.iszzsbIncrement;
    }

    /**
    * 设置 增加 是否自主申报 0否  1是 默认0
    * @param iszzsbIncrement
    */
    public void setIszzsbIncrement(Integer iszzsbIncrement){
        this.iszzsbIncrement = iszzsbIncrement;
    }

    /**
    * 获取 是否自主申报 0否  1是 默认0
    * @return iszzsbList
    */
    public List<Integer> getIszzsbList(){
        return this.iszzsbList;
    }

    /**
    * 设置 是否自主申报 0否  1是 默认0
    * @param iszzsbList
    */
    public void setIszzsbList(List<Integer> iszzsbList){
        this.iszzsbList = iszzsbList;
    }
    /**
    * 获取 开始 排序 倒序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序 倒序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序 倒序
    * @return sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序 倒序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序 倒序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序 倒序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序 倒序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序 倒序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }
    /**
    * 获取 开始 状态 0正常  1删除
    * @return validStart
    */
    public Integer getValidStart(){
        return this.validStart;
    }

    /**
    * 设置 开始 状态 0正常  1删除
    * @param validStart
    */
    public void setValidStart(Integer validStart){
        this.validStart = validStart;
    }

    /**
    * 获取 结束 状态 0正常  1删除
    * @return validEnd
    */
    public Integer getValidEnd(){
        return this.validEnd;
    }

    /**
    * 设置 结束 状态 0正常  1删除
    * @param validEnd
    */
    public void setValidEnd(Integer validEnd){
        this.validEnd = validEnd;
    }

    /**
    * 获取 增加 状态 0正常  1删除
    * @return validIncrement
    */
    public Integer getValidIncrement(){
        return this.validIncrement;
    }

    /**
    * 设置 增加 状态 0正常  1删除
    * @param validIncrement
    */
    public void setValidIncrement(Integer validIncrement){
        this.validIncrement = validIncrement;
    }

    /**
    * 获取 状态 0正常  1删除
    * @return validList
    */
    public List<Integer> getValidList(){
        return this.validList;
    }

    /**
    * 设置 状态 0正常  1删除
    * @param validList
    */
    public void setValidList(List<Integer> validList){
        this.validList = validList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public BasicsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public BasicsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public BasicsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public BasicsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public BasicsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 一件事标题
    * @param tname
    */
    public BasicsQuery tname(String tname){
        setTname(tname);
		return this;
    }


    /**
    * 设置 一件事标题
    * @param tnameList
    */
    public BasicsQuery tnameList(List<String> tnameList){
        this.tnameList = tnameList;
		return this;
    }
	/**
    * 设置 二维码
    * @param qrcode
    */
    public BasicsQuery qrcode(String qrcode){
        setQrcode(qrcode);
		return this;
    }


    /**
    * 设置 二维码
    * @param qrcodeList
    */
    public BasicsQuery qrcodeList(List<String> qrcodeList){
        this.qrcodeList = qrcodeList;
		return this;
    }
	/**
    * 设置 事项关联id,
    * @param matterIds
    */
    public BasicsQuery matterIds(String matterIds){
        setMatterIds(matterIds);
		return this;
    }


    /**
    * 设置 事项关联id,
    * @param matterIdsList
    */
    public BasicsQuery matterIdsList(List<String> matterIdsList){
        this.matterIdsList = matterIdsList;
		return this;
    }
	
	/**
    * 设置  是否自主申报 0否  1是 默认0
    * @param iszzsb
    */
    public BasicsQuery iszzsb(Integer iszzsb){
        setIszzsb(iszzsb);
		return this;
    }

    /**
    * 设置 开始 是否自主申报 0否  1是 默认0
    * @param iszzsbStart
    */
    public BasicsQuery iszzsbStart(Integer iszzsbStart){
        this.iszzsbStart = iszzsbStart;
		return this;
    }


    /**
    * 设置 结束 是否自主申报 0否  1是 默认0
    * @param iszzsbEnd
    */
    public BasicsQuery iszzsbEnd(Integer iszzsbEnd){
        this.iszzsbEnd = iszzsbEnd;
		return this;
    }


    /**
    * 设置 增加 是否自主申报 0否  1是 默认0
    * @param iszzsbIncrement
    */
    public BasicsQuery iszzsbIncrement(Integer iszzsbIncrement){
        this.iszzsbIncrement = iszzsbIncrement;
		return this;
    }


    /**
    * 设置 是否自主申报 0否  1是 默认0
    * @param iszzsbList
    */
    public BasicsQuery iszzsbList(List<Integer> iszzsbList){
        this.iszzsbList = iszzsbList;
		return this;
    }
	
	/**
    * 设置  排序 倒序
    * @param sort
    */
    public BasicsQuery sort(Integer sort){
        setSort(sort);
		return this;
    }

    /**
    * 设置 开始 排序 倒序
    * @param sortStart
    */
    public BasicsQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
		return this;
    }


    /**
    * 设置 结束 排序 倒序
    * @param sortEnd
    */
    public BasicsQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
		return this;
    }


    /**
    * 设置 增加 排序 倒序
    * @param sortIncrement
    */
    public BasicsQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
		return this;
    }


    /**
    * 设置 排序 倒序
    * @param sortList
    */
    public BasicsQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
    }
	
	/**
    * 设置  状态 0正常  1删除
    * @param valid
    */
    public BasicsQuery valid(Integer valid){
        setValid(valid);
		return this;
    }

    /**
    * 设置 开始 状态 0正常  1删除
    * @param validStart
    */
    public BasicsQuery validStart(Integer validStart){
        this.validStart = validStart;
		return this;
    }


    /**
    * 设置 结束 状态 0正常  1删除
    * @param validEnd
    */
    public BasicsQuery validEnd(Integer validEnd){
        this.validEnd = validEnd;
		return this;
    }


    /**
    * 设置 增加 状态 0正常  1删除
    * @param validIncrement
    */
    public BasicsQuery validIncrement(Integer validIncrement){
        this.validIncrement = validIncrement;
		return this;
    }


    /**
    * 设置 状态 0正常  1删除
    * @param validList
    */
    public BasicsQuery validList(List<Integer> validList){
        this.validList = validList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public BasicsQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public BasicsQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public BasicsQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public BasicsQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public BasicsQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public BasicsQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public BasicsQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public BasicsQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<BasicsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<BasicsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<BasicsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<BasicsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}